NTSecApi.LSA_FOREST_TRUST_DOMAIN_INFO (JNA API)

com.sun.jna.platform.win32

## Class NTSecApi.LSA_FOREST_TRUST_DOMAIN_INFO

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.NTSecApi.LSA_FOREST_TRUST_DOMAIN_INFO

- Enclosing interface:
    NTSecApi

      @Structure.FieldOrder(value={"Sid","DnsName","NetbiosName"})
      public static class NTSecApi.LSA_FOREST_TRUST_DOMAIN_INFO
      extends Structure

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `NTSecApi.LSA_UNICODE_STRING` | `DnsName`
    `NTSecApi.LSA_UNICODE_STRING` | `NetbiosName`
    `WinNT.PSID.ByReference` | `Sid`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LSA_FOREST_TRUST_DOMAIN_INFO()`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### Sid

          public WinNT.PSID.ByReference Sid

    - #### DnsName

          public NTSecApi.LSA_UNICODE_STRING DnsName

    - #### NetbiosName

          public NTSecApi.LSA_UNICODE_STRING NetbiosName

  - ### Constructor Detail

    - #### LSA_FOREST_TRUST_DOMAIN_INFO

          public LSA_FOREST_TRUST_DOMAIN_INFO()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.